/**
 * Represents an error when a non-existent variable is referenced.
 * @syntax <code>newReferenceError(<em>[message[,fileName[,linenumber]]]</em>)</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard The name of the file containing the code that caused the exception
 * @param {Number} lineNumber Non-standard The line number of the code that caused the exception
 * @returns {Error} 
 */
function ReferenceError() {
    this.prototype
}
/**
 * A name for the type of error.
 * @returns {String} 
 */
ReferenceError.prototype.name;

/**
 * Represents the prototype for the ReferenceError constructor.
 * @returns {Object} 
 * @static
 */
ReferenceError.prototype;

/**
 * @returns {Function} 
 */
ReferenceError.prototype.constructor;

/**
 * Represents the prototype for the ReferenceError constructor.
 * @returns {Object} 
 * @static
 */
ReferenceError.prototype;

